SELECT
villagebusiness.businessno AS `ลำดับที่`,
house.hno AS 'บ้านที่ตั้ง',
village.villno AS `หมู่ที่`,
villagebusiness.businessname AS `ชื่อสถานประกอบการ`,
cbusiness.businessdesc AS `ประเภท`,
CASE WHEN villagebusiness.foodanddrink = 0 THEN 'ไม่ขาย'
WHEN villagebusiness.foodanddrink = 1 THEN 'ขาย'
WHEN villagebusiness.foodanddrink = 9 THEN 'ไม่ทราบ' ELSE NULL END AS `อาหารสด`,
CASE WHEN villagebusiness.freshmart = 0 THEN 'ไม่ขาย'
WHEN villagebusiness.freshmart = 1 THEN 'ขาย'
WHEN villagebusiness.freshmart = 9 THEN 'ไม่ทราบ' ELSE NULL END AS `อาหารสำเร็จ`,
CASE WHEN villagebusiness.alchoholpermit = '0' THEN 'ไม่ขาย'
WHEN villagebusiness.alchoholpermit = 'c' THEN 'บุหรี่'
WHEN villagebusiness.alchoholpermit = 'w' THEN 'เครื่องดื่มมีแอลกอฮอล์'
WHEN villagebusiness.alchoholpermit = '2' THEN 'บุหรี่และเครื่องดื่มมีแอลกอฮอล์'
WHEN villagebusiness.alchoholpermit = '9' THEN 'ไม่ทราบ' ELSE NULL END AS `ขายบุหรี่/เครื่องดื่มมีแอลกอฮอล`,
villagebusinessstd.datesurvey AS 'วันที่สำรวจ',
CASE WHEN villagebusinessstd.stdlevel = 0 THEN 'ไม่ผ่านเกณฑ์'
WHEN villagebusinessstd.stdlevel = 1 THEN 'ผ่าน 1 ดาว'
WHEN villagebusinessstd.stdlevel = 2 THEN 'ผ่าน 2 ดาว'
WHEN villagebusinessstd.stdlevel = 3 THEN 'ผ่าน 3 ดาว'
WHEN villagebusinessstd.stdlevel = 4 THEN 'ผ่าน 4 ดาว'
WHEN villagebusinessstd.stdlevel = 5 THEN 'ผ่าน 5 ดาว' ELSE NULL END AS 'ผลการสำรวจมาตรฐาน',
CASE WHEN villagebusinessstd.typeownerattimesurvey = 1 THEN 'เทศบาล'
WHEN villagebusinessstd.typeownerattimesurvey = 2 THEN 'อบต.'
WHEN villagebusinessstd.typeownerattimesurvey = 3 THEN 'เอกชน' ELSE NULL END AS 'เจ้าของกิจการ',
CASE WHEN villagebusinessstd.typelicenseattimesurvey = 0 THEN 'ไม่มีใบอนุญาตฯ'
WHEN villagebusinessstd.typelicenseattimesurvey = 1 THEN 'มีใบอนุญาตฯ' ELSE NULL END AS 'ใบอนุญาต',
CASE WHEN villagebusinessstd.typestructureattimesurvey = 0 THEN 'ไม่มีโครงสร้าง'
WHEN villagebusinessstd.typestructureattimesurvey = 1 THEN 'มีโครงสร้าง' ELSE NULL END AS 'โครงสร้าง',
CASE WHEN villagebusinessstd.typeoperateattimesurvey = 1 THEN 'เปิดตามนัด'
WHEN villagebusinessstd.typeoperateattimesurvey = 1 THEN 'เปิดทุกวัน' ELSE NULL END AS 'เปิดดำเนินการ'
FROM
villagebusiness
left JOIN cbusiness ON villagebusiness.businesstype = cbusiness.businesstypecode
INNER JOIN village ON villagebusiness.villcode = village.villcode
left JOIN house ON villagebusiness.hcodebusines = house.hcode
left JOIN villagebusinessstd ON villagebusiness.villcode = villagebusinessstd.villcode 
AND villagebusiness.businessno = villagebusinessstd.businessno;